---
search:
  tags:
    - Orders
    - POST
seo:
  description: >-
    Creates a new order in checkout state with the given line items, contact
    and… Reference for the POST /shops/{shop_id}/orders endpoint in the Bolder
    API v1.
sidebar:
  label: Create order
  badge: POST
title: Create order
type: openapi-operation
---
Creates a new order in `checkout` state with the given line items, contact and shipping address.
Returns the new order including web checkout and cart links. Requires `admin` scope.

`POST /shops/{shop_id}/orders`

**Request body** (`application/json`, required)

- `line_items` (LineItemInput[])
- `contact` (ContactInput)
- `address` (AddressInput)

Request body example:

```json
{
  "line_items": [
    {
      "variant_id": 1234,
      "units": 2
    }
  ],
  "contact": {
    "email": "joe@bloggs.com",
    "name": "Joe Bloggs",
    "phone_number": "12322222222"
  },
  "address": {
    "street": "Av. Brasil 20",
    "street_2": "4to piso",
    "locality_name": "Valparaiso",
    "region_name": "Valparaiso",
    "country_code": "CL"
  }
}
```

**Responses**

- `201` — Order created
- `422` — Validation errors

Response example, 201:

```json
{
  "id": 0,
  "shop_id": 0,
  "code": "string",
  "status": "checkout",
  "net_total": 0,
  "total": 0,
  "shipping_total": 0,
  "shipping_description": "string",
  "discount_total": 0,
  "tracking_code": "string",
  "courier_name": "string",
  "total_weight_in_grams": 0,
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "pending_on": "2019-08-24T14:15:22Z",
  "closed_on": "2019-08-24T14:15:22Z",
  "shipped_on": "2019-08-24T14:15:22Z",
  "fulfillment": {
    "fulfillment_method": "shipping"
  },
  "payment_info": {
    "type": "string",
    "name": "string",
    "auth_code": "string",
    "transaction_id": "string"
  },
  "_links": {},
  "_embedded": {
    "contact": {
      "id": 0,
      "name": "string",
      "email": "string",
      "phone_number": "string"
    },
    "address": {
      "street": "string",
      "street_2": "string",
      "locality_name": "string",
      "region_name": "string",
      "country_name": "string",
      "country_code": "string",
      "postal_code": "string",
      "lat_long": "string"
    },
    "line_items": [
      {
        "product_id": 0,
        "product_title": "string",
        "unit_price": 0,
        "units": 0,
        "discount_total": 0,
        "net_total": 0,
        "total": 0,
        "variant_id": 0,
        "variant_title": "string",
        "variant_sku": "string",
        "weight_in_grams": 0
      }
    ],
    "promotion": {
      "name": "string",
      "discount": 0,
      "discount_type": "$",
      "free_shipping": true
    },
    "discounts": [
      {}
    ]
  }
}
```

Response example, 422:

```json
{
  "_class": [
    "errors"
  ],
  "_embedded": {
    "errors": [
      {
        "_class": [
          "error"
        ],
        "field": "product.title",
        "messages": [
          "can't be blank"
        ]
      }
    ]
  }
}
```
